{
    "configurations": [
        {
            "name": "STM32G431xx",
            "defines": [
                "STM32G431xx",
                "__FILENAME__=\"file.c/h\""
            ],
            "includePath": [
                "${workspaceFolder}/submodules/shared-utilities/CMSIS/Device/ST/STM32G4xx/Include",
                "${workspaceFolder}/submodules/shared-utilities/CMSIS/Include",
                "${workspaceFolder}/submodules/shared-utilities/sclib",
                "${workspaceFolder}"
            ],
            "compilerPath": "/usr/local/bin/arm-none-eabi-gcc",
            "cStandard": "c11",
            "cppStandard": "c++17",
            "intelliSenseMode": "linux-gcc-arm",
            "compilerArgs": [
                "-mcpu=cortex-m4",
                "-mthumb",
                "-mfpu=fpv4-sp-d16",
                "-mfloat-abi=hard"
            ]
        }
    ],
    "version": 4
}